Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

General Questions /

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Help needed with PHPUnit & l18n TextCollector [SOLVED]

Go to End

4 Posts   709 Views


Community Member, 5 Posts

16 January 2013 at 2:09am


I'm trying to use the l18n textcollector and localize my templates, but when I open dev/tasks/i18nTextCollectorTask, I get no response at all. I read that text collector requires PHPUnit, so I tried installing that, but opening dev/tests gives me an error, "Please install PHPUnit using pear". I tried installing PHPUnit using composer, but since I'm new to both of them, I'm having some trouble with it (it doesn't really help that installation instruction link in is broken).

I think I managed to install dev dependencies using composer with composer update --dev (at least there's bunch of phpunit packages in vendor directory), but I'm pretty much stuck. Any ideas how to proceed?

I have composer installed globally using the Windows installer.


Community Member, 5 Posts

25 January 2013 at 4:12am



Community Member, 5 Posts

13 February 2013 at 1:44am

So yeah, I guess there's no way to install PHPunit using composer in Windows so that it works. Installed with PEAR globally and works like a charm.

Only text collector still doesn't work. dev/tasks/i18nTextCollectorTask just throws a "connection aborted".


Community Member, 6 Posts

28 June 2013 at 10:49pm

I have the same problem with 3.0.5, connection aborted.